
set( toyExperiment_VERSION 0.04.07 )
set( toyExperiment_UPS_VERSION v0_04_07 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( art  )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( canvas_root_io  )
find_ups_root(  )
find_ups_product( art_root_io  )
set(TOYEXPERIMENT_UTILITIES "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Utilities.dylib")
set(TOYEXPERIMENT_RECODATAPRODUCTS "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_RecoDataProducts.dylib")
set(TOYEXPERIMENT_RECODATAPRODUCTS_DICT "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_RecoDataProducts_dict.dylib")
set(TOYEXPERIMENT_MCDATAPRODUCTS "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_MCDataProducts.dylib")
set(TOYEXPERIMENT_MCDATAPRODUCTS_DICT "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_MCDataProducts_dict.dylib")
set(TOYEXPERIMENT_RECONSTRUCTION "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Reconstruction.dylib")
set(TOYEXPERIMENT_RECONSTRUCTION_FINDANDFITHELIX_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Reconstruction_FindAndFitHelix_module.dylib")
set(TOYEXPERIMENT_SIMULATIONS_EVENTGENERATOR_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_EventGenerator_module.dylib")
set(TOYEXPERIMENT_SIMULATIONS_DETECTORSIMULATION_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_DetectorSimulation_module.dylib")
set(TOYEXPERIMENT_SIMULATIONS_HITMAKER_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Simulations_HitMaker_module.dylib")
set(TOYEXPERIMENT_ANALYZERS "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers.dylib")
set(TOYEXPERIMENT_ANALYZERS_HELLOWORLD_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_HelloWorld_module.dylib")
set(TOYEXPERIMENT_ANALYZERS_INSPECTGENPARTICLES_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectGenParticles_module.dylib")
set(TOYEXPERIMENT_ANALYZERS_INSPECTINTERSECTIONS_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectIntersections_module.dylib")
set(TOYEXPERIMENT_ANALYZERS_INSPECTTRKHITS_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectTrkHits_module.dylib")
set(TOYEXPERIMENT_ANALYZERS_INSPECTFITTEDHELIX_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_InspectFittedHelix_module.dylib")
set(TOYEXPERIMENT_ANALYZERS_MASSPLOT_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_MassPlot_module.dylib")
set(TOYEXPERIMENT_ANALYZERS_EVENTDISPLAY_MODULE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Analyzers_EventDisplay_module.dylib")
set(TOYEXPERIMENT_DATAPRODUCTS_DICT "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_DataProducts_dict.dylib")
set(TOYEXPERIMENT_PDT "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_PDT.dylib")
set(TOYEXPERIMENT_PDT_PDT_SERVICE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_PDT_PDT_service.dylib")
set(TOYEXPERIMENT_CONDITIONS "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Conditions.dylib")
set(TOYEXPERIMENT_CONDITIONS_CONDITIONS_SERVICE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Conditions_Conditions_service.dylib")
set(TOYEXPERIMENT_GEOMETRY "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Geometry.dylib")
set(TOYEXPERIMENT_GEOMETRY_GEOMETRY_SERVICE "$ENV{TOYEXPERIMENT_LIB}/libtoyExperiment_Geometry_Geometry_service.dylib")
  include_directories ( "$ENV{TOYEXPERIMENT_INC}" )

check_required_components(toyExperiment)

